<?php
$must_login             = true ;
$require_path           = '../../../' ;
$require_sub            = '../../' ;
require( $require_sub.'header.php' ) ;

if ( $boolean_login ){
    $status             = '300' ;

    $task_id            = $array['task_id'] ;
    $todo_id            = $array['todo_id'] ;
    $remark_list        = $array['remark_list'] ;

    if ( $task_id != '' && $todo_id != '' && count( $remark_list ) > 0 ){
        $status         = '201' ;

        $select         = $mysqli->query( "SELECT * FROM task a
                                           WHERE a.deleted_at IS NULL AND a.task_id = '".$task_id."' AND ( a.created_by = '".$staff_info['staff_id']."' OR a.assigned_by = '".$staff_info['staff_id']."' OR EXISTS ( SELECT b.staff_id FROM task_joinstaff b WHERE a.task_id = b.task_id AND b.staff_id = '".$staff_info['staff_id']."' LIMIT 1 ) ) AND a.status IN ( 'pending', 'assigned', 'resubmit', 'progress', 'completed' ) LIMIT 1" ) ;
        if ( $select->num_rows > 0 ){

            $row         = $select->fetch_assoc() ;

            // check if selected todo exists
            $select_todo = $mysqli->query( "SELECT * FROM task_todo
                                            WHERE deleted_at IS NULL AND task_id = '".$task_id."' AND todo_id = '".$todo_id."' LIMIT 1" ) ;
            if ( $select_todo->num_rows > 0 ){
                $status  = '202' ;

                if ( checkExists($array['remark_list']) ){
                    foreach ( $array['remark_list'] as $k => $v ){
                        if ( $v['is_delete'] == 'no' ){
                            if ( $v['id'] > 0 ){
                                $mysqli->query( "UPDATE task_todo_remark SET
                                                 title         = '".$v['title']."'
                                                 WHERE remark_id = '".$v['id']."'" ) ;
                            }else{
                                $mysqli->query( "INSERT INTO task_todo_remark
                                                 ( `task_id`, `todo_id`, `staff_id`, `title` ) VALUES
                                                 ( '".$task_id."', '".$todo_id."', '".$staff_info['staff_id']."', '".$v['title']."' )" ) ;
                            }
                        }else{
                            if ( $v['id'] > 0 ){
                                $mysqli->query( "UPDATE task_todo_remark SET
                                                 deleted_at    = '".TODAYDATE."'
                                                 WHERE remark_id = '".$v['id']."'" ) ;
                            }
                        }
                    }

                    $status     = '200' ;

                    // push to notification
                    $related_staffid = getTaskRelatedStaff( $task_id, $row['created_by'], $row['assigned_by'] ) ;
                    foreach ( $related_staffid as $k => $v ){
                        pushToUserCron( 'task', $task_id, $v, 'Task Remark', 'Task ( '.$row['task_so'].' ) remark updated' ) ;
                    }
                }

            }

        }

    }
}

require( $require_sub.'footer.php' ) ;
?>